<?php


namespace Schaffen\Core\Company\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Company\Models\Company;

class CompanyRepository extends Repository
{
    protected $model = Company::class;
    protected $searchableFields = [
        ["field" => "emp_banco"],
        ["field" => "emp_url_sistema"],
        ["field" => "emp_usa_download_nfe"]
    ];

    public function injectFiltersOnQuery()
    {
        $notBlocked = null;
        extract($this->filters);

        $this->query->when($notBlocked, function ($query) {
            return $query->whereNull("emp_data_bloqueio");
        });
        parent::injectFiltersOnQuery();
    }


}
