<?php

namespace Schaffen\Core\Form\Models;


use Illuminate\Database\Eloquent\Model;

class FormAssociation extends Model
{
   const SERVICE_ORDER = 'service-order';
   const VISITATION_REASON = 'visitation-reason';
   const FORM_GROUPING = 'form-grouping';

   protected $connection = "dynamicdb";
   protected $table = "cadastro.formulario_associacao";
   protected $primaryKey = "foa_codigo";
   protected $fillable = [
      "foa_formeavel_tipo",
      "foa_formeavel_codigo",
      "foa_respostas",
      "foa_fk_form_codigo"
   ];

   protected $casts = [
      'foa_respostas' => 'json'
   ];

   public function form()
   {
      return $this->belongsTo(Form::class, 'foa_fk_form_codigo');
   }

   public function formeable()
   {
//      formeavel
      return $this->morphTo('formeable', 'foa_formeavel_tipo', 'foa_formeavel_codigo');
   }

}
