<?php


namespace Schaffen\Core\Product\Managers;


use Freelabois\LaravelQuickstart\Extendables\ManipulationManager;
use Schaffen\Core\Person\Managers\PersonBranchManager;
use Schaffen\Core\Person\Repositories\PersonBranchRepository;
use Schaffen\Core\Product\Models\Product;
use Schaffen\Core\Product\Repositories\InventoryRepository;
use Schaffen\Core\Product\Repositories\ProductRepository;
use Schaffen\Core\Product\Repositories\ProductVarietyPackRepository;
use Schaffen\Core\Product\Repositories\SnapshotRepository;
use Schaffen\Core\User\Managers\UserManager;
use Schaffen\Core\User\Repositories\UserRepository;

class ProductManager extends ManipulationManager
{

    /**
     * @var ProductRepository
     */
    protected $repository;

    public function __construct(ProductRepository $repository, ProductVarietyPackRepository $pve_repository)
    {
        $this->repository = $repository;
        $this->pve_repository = $pve_repository;
    }

    public function produtosMobile()
    {
        return $this->repository->list(['pro_mobile' => 1, 'pro_status' => 1, 'pro_servico' => 0], ['product_variety', 'classification']);
    }

    public function precoCliente()
    {
        return $this->repository->list(['pro_mobile' => 1, 'pro_status' => 1, 'pro_servico' => 0], ['product_variety', 'classification'], 15);
    }

//    public function getProdutosMobile() // TODO esse inicia a busca pelo produto
//    {
//        return $this->repository->list(['pro_mobile' => 1, 'pro_status' => 1], ['product_variety']);
//    }

    public function getProdutosMobile() //TODO teste de rota buscando pela vaiedade embalagem
    {
        return $this->pve_repository->list([], ['product_variety', 'measurement_unit', 'snapshot', 'price'], false);
    }

    public function buscaEstoque($values)
    {
        $inventory_repository = app()->make(InventoryRepository::class);
       
        $local_estoque = $inventory_repository->firstOrFail([
            'loe_fk_fil_codigo' => $values['fun_fk_fil_codigo'],
            'loe_tipo' => 'EMPRESA',
            'loe_status' => 1
        ]);


        if (!$local_estoque) {
            return [];
//            "É funcionário? Código da filial está correto? loe_status = 1?"
        } else {
            $snapshot_repository = app()->make(SnapshotRepository::class);
            return $snapshot_repository->getEstoqueMobile($local_estoque->loe_codigo);
        }


    }

}
