<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;

class ProductProductSetupAttribute extends Model
{

   protected $connection = 'dynamicdb';
   protected $table = "produto.produto_produto_setup_atributo";
   protected $primaryKey = "ppsa_codigo";
    protected $fillable = [
        "ppsa_codigo",
        "ppsa_fk_pro_codigo",
        "ppsa_fk_psa_codigo",
        "ppsa_user_insert",
        "ppsa_date_insert",
        "ppsa_user_update",
        "ppsa_date_update",
        "ppsa_valor"
    ];
    const CREATED_BY = "ppsa_user_insert";
    const CREATED_AT = "ppsa_date_insert";
    const UPDATED_BY = "ppsa_user_update";
    const UPDATED_AT = "ppsa_date_update";

  
   public function product(){
      return $this->belongsTo(Product::class, 'ppsa_fk_pro_codigo');
   }

   public function product_setup_attribute(){
      return $this->belongsTo(ProductSetupAttribute::class, 'ppsa_fk_psa_codigo');
   }

}
